## ros-humble-tiago-bringup 4.0.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tiago_bringup)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(PROGRAMS scripts/regen_em_file.py
  DESTINATION lib/${PROJECT_NAME}
)

# @TODO
# install(PROGRAMS scripts/end_effector_camera.sh
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

ament_auto_package(INSTALL_TO_SHARE config launch)

=== debian/changelog ===
ros-humble-tiago-bringup (4.0.13-1jammy) jammy; urgency=high

  * Remove schunk wsg option
  * Uncomment twist_mux_msgs dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.12-1jammy) jammy; urgency=high

  * Regenerate config for no-arm option
  * Fix config files generator
  * Remove pal flags dependency
  * update hey5 joystick config
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Jul 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.11-1jammy) jammy; urgency=high

  * run gripper_incrementer only when using pal-gripper
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Jun 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.10-1jammy) jammy; urgency=high

  * load the proper joy_telop config file
  * config files regeneration
  * unify file generator and get_tiago_hw_suffix method
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.9-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.8-1jammy) jammy; urgency=high

  * remove dependency comment
  * disable joystick launch on bringup
  * regenerate joy_teleop cfg
  * remove schunk-wsg end effector condition for joystick cfg
  * enable multibutton joystick commands
  * add joystick commands dependencies
  * start incrementer servers for gripper, head and torso
  * use radians/s for angular velocity
  * update ROS 2 joy_teleof config and regenerate
  * restore yaml generation format
  * add joy dependency
  * update twist_mux config
  * launch joy_node
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.7-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.6-1jammy) jammy; urgency=high

  * fixing the file path using no-arm
  * Contributors: jmguerreroh

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.5-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.4-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.3-1jammy) jammy; urgency=high

  * Merge branch 'play_motion2' into 'humble-devel'
    Launch PlayMotion2 and update motions files
    See merge request robots/tiago_robot!189
  * rename play_motion2 launcher
  * add exec dependency play_motion2
  * launch play_motion2
  * regenerate motions files for play_motion2
  * enable regen_em_file.py
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Feb 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.2-1jammy) jammy; urgency=high

  * Merge branch 'robot_state_publisher' into 'humble-devel'
    Launch robot_state_publisher from tiago_bringup
    See merge request robots/tiago_robot!185
  * robot_state_publisher from tiago_bringup
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-tiago-bringup (4.0.1-1jammy) jammy; urgency=high

  * Merge branch 'update_license' into 'humble-devel'
    Update license
    See merge request robots/tiago_robot!180
  * update license
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-tiago-bringup (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'refactor_simulation_launchers' into 'humble-devel'
    Remove launching manipulation in tiago_bringup
    See merge request robots/tiago_robot!177
  * rm launching manipulation
  * Merge branch 'rm_launcher' into 'humble-devel'
    Remove tiago.launch.py and dependencies
    See merge request robots/tiago_robot!176
  * rm tiago.launch.py and dependencies
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup package.xml files and rm duplicated launcher
    See merge request robots/tiago_robot!174
  * update package.xml deps
  * Merge branch 'launch_move_group' into 'humble-devel'
    Launch move group
    See merge request robots/tiago_robot!172
  * launch moveit2
  * Merge branch 'update_copyright' into 'humble-devel'
    update copyright and license
    See merge request robots/tiago_robot!167
  * update copyright and license
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/tiago_robot!165
  * rm ros1 launchers
  * Merge branch 'refactor_ld' into 'humble-devel'
    Refactor ld
    See merge request robots/tiago_robot!164
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/tiago_robot!163
  * update maintainers
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request robots/tiago_robot!159
  * linters
  * Merge branch 'launch_refactor' into 'humble-devel'
    launch files refactor
    See merge request robots/tiago_robot!158
  * temporal fix deadman_buttons error when empty
  * Merge branch 'tiago_launcher' into 'galactic-devel'
    Tiago launcher
    See merge request robots/tiago_robot!150
  * tiago launcher
  * Updating format of all motions
  * Renegerating approach_planner config files
  * Renegerating motions config files
  * Removed disable_motion_planning
    Already set in approach plannaer config
  * Not starting play_motion automatically since now requires moveit
  * Using tiago hw suffix to load the proper config files
  * Get robot_description using tiago_launch_utils
  * Load robot_description_semantic into play_motion


=== debian/control ===
Source: ros-humble-tiago-bringup
Section: misc
Priority: optional
Maintainer: Jordi Pages <jordi.pages@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tiago-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-joy, ros-humble-joy-teleop, ros-humble-launch-pal, ros-humble-play-motion2, ros-humble-robot-state-publisher, ros-humble-teleop-tools-msgs, ros-humble-tiago-controller-configuration, ros-humble-tiago-description, ros-humble-twist-mux, ros-humble-twist-mux-msgs, ros-humble-ros-workspace
Description: Launch files to upload the robot description and start the controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-bringup//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tiago-bringup 4.6.0

=== debian/changelog ===
ros-humble-tiago-bringup (4.6.0-1bookworm) bookworm; urgency=high

  * Add slash to node names on parameter files
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 17 Sep 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.5.0-1bookworm) bookworm; urgency=high

  * Use launch file directly from base controller_configuration
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.4.0-1bookworm) bookworm; urgency=high

  * Add dependencies and parameter for motor_model
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.3.0-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.21-1bookworm) bookworm; urgency=high

  * enable odom tf for pmb2 for public sim
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.20-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 28 Jul 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.19-1bookworm) bookworm; urgency=high

  * Change parameter to arm_type
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 24 Jul 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.18-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.17-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 07 Jul 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.16-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.15-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Change imports for robot arguments
    See merge request robots/tiago_robot!297
  * Change imports for robot arguments
  * Contributors: David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.14-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.13-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/motions' into 'humble-devel'
    pre-recorded_motions
    See merge request robots/tiago_robot!292
  * delete sensor files and fix launch
  * delete sensor files and added epick file
  * linters
  * remove motinos from end-effectors specifics
  * add motions in general
  * add conditionfor no-arm
  * create general motion file & merge them
  * add custom file for posible costumers
  * Merge branch 'dtk/fix/is-public-sim' into 'humble-devel'
    Fix missing public sim arg
    See merge request robots/tiago_robot!290
  * Fix missing public sim arg
  * Merge branch 'fix/motion_planner_files' into 'humble-devel'
    Fix/motion planner files
    See merge request robots/tiago_robot!287
  * new file names
  * Contributors: Aina, Aina Irisarri, David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 04 Jun 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.12-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.11-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.10-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/joy_device' into 'humble-devel'
    Added proper joy device setup
    See merge request robots/tiago_robot!283
  * Added proper joy device setup
  * Contributors: davidterkuile, oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.9-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/twist_mux_base_type' into 'humble-devel'
    Passing base_type to twist_mux from the bringup properly
    See merge request robots/tiago_robot!282
  * Passing base_type to twist_mux from the bringup properlyy
  * Merge branch 'dtk/fix/robot-state-publisher' into 'humble-devel'
    Dtk/fix/robot state publisher
    See merge request robots/tiago_robot!281
  * Remove robot state publisher from tiago_bringup
  * Merge branch 'omm/feat/new_joy_config' into 'humble-devel'
    New Joy config
    See merge request robots/tiago_robot!280
  * Fixed 1.0 default value
  * Cleaning old config files
  * Contributors: davidterkuile, oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 May 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.8-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/urdf_complete_std' into 'humble-devel'
    URDF std
    See merge request robots/tiago_robot!278
  * Module, joy config and restored support for tiago dual
  * Omni related checks and files
  * Suggested changes
  * Launch files moved to TIAGo family standard
  * Contributors: Oscar, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.7-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 21 Apr 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.6-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.5-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.4-1bookworm) bookworm; urgency=high





=== debian/control ===
Source: ros-humble-tiago-bringup
Section: misc
Priority: optional
Maintainer: Jordi Pages <jordi.pages@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/tiago_simulation
Standards-Version: 3.9.2

Package: ros-humble-tiago-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-joy-linux, ros-humble-joy-teleop, ros-humble-launch-pal, ros-humble-play-motion2, ros-humble-teleop-tools-msgs, ros-humble-tiago-controller-configuration, ros-humble-tiago-description, ros-humble-twist-mux, ros-humble-twist-mux-msgs, ros-humble-ros-workspace
Description: Launch files to upload the robot description and start the controllers

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-bringup//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-bringup//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tiago-bringup//opt/ros/humble/opt/tiago_bringup/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
